Bug 1660468 - CPU: 2 PID: 365 at drivers/gpu/drm/amd/amdgpu/../display/dc/calcs/dcn_calcs.c:1372 backtrace after login or turning on screen
Summary: CPU: 2 PID: 365 at drivers/gpu/drm/amd/amdgpu/../display/dc/calcs/dcn_calcs.c...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 11:58 UTC by Jorge Martínez López
Modified: 2019-11-27 23:22 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:22:28 UTC


Attachments (Terms of Use)
dmesg.txt (89.64 KB, text/plain)
2018-12-18 11:58 UTC, Jorge Martínez López
no flags Details

Description Jorge Martínez López 2018-12-18 11:58:39 UTC
Created attachment 1515329 [details]
dmesg.txt

Description of problem:

A backtrace is generated whenever the computer boots of the screen is woken up (e.g. after locking the computer)

Version-Release number of selected component (if applicable):

4.19.9-300.fc29.x86_64 #1 SMP Thu Dec 13 17:25:01 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:

Every time.


Steps to Reproduce:
1. Lock screen (Super+L)
2. Wake up screen.


Actual results:
A backtrace is generated.


Expected results:
No backtrace.


Additional info:

WARNING: CPU: 2 PID: 365 at drivers/gpu/drm/amd/amdgpu/../display/dc/calcs/dcn_calcs.c:1372 dcn_bw_update_from_pplib+0x16b/0x280 [amdgpu]
Modules linked in: libcrc32c xor zstd_decompress zstd_compress xxhash amdgpu(+) hid_logitech_hidpp(+) chash gpu_sched drm_kms_helper ttm raid6_pq crc32c_intel drm igb hid_logitech_dj dca i2c_algo_bit pinctrl_amd i2c_dev
CPU: 2 PID: 365 Comm: systemd-udevd Not tainted 4.19.9-300.fc29.x86_64 #1
Hardware name: System manufacturer System Product Name/ROG STRIX X370-F GAMING, BIOS 4024 09/07/2018
RIP: 0010:dcn_bw_update_from_pplib+0x16b/0x280 [amdgpu]
Code: d8 ca d8 f1 d9 5a 50 8b 44 fc 14 49 8b 94 24 78 01 00 00 48 89 04 24 df 2c 24 d8 f1 db 42 78 de c9 de ca de f9 d9 5a 4c eb 02 <0f> 0b 48 89 da be 04 00 00 00 48 89 ef e8 73 55 fe ff 84 c0 0f 84
RSP: 0018:ffffa13081f7f788 EFLAGS: 00010246
RAX: 0000000000000001 RBX: ffffa13081f7f7e8 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000000004 RDI: ffff8e8d4f896860
RBP: ffff8e8d45575380 R08: 0000000000000030 R09: 0000000000000003
R10: 0000000000000000 R11: 0000000000000001 R12: ffff8e8d47371000
R13: ffff8e8d4456c600 R14: ffff8e8d47371000 R15: 0000000000000000
FS:  00007f547690f940(0000) GS:ffff8e8d4f880000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fd0c2fa41b8 CR3: 00000003c6e92000 CR4: 00000000003406e0
Call Trace:


Architecture:        x86_64
CPU op-mode(s):      32-bit, 64-bit
Byte Order:          Little Endian
CPU(s):              8
On-line CPU(s) list: 0-7
Thread(s) per core:  2
Core(s) per socket:  4
Socket(s):           1
NUMA node(s):        1
Vendor ID:           AuthenticAMD
CPU family:          23
Model:               17
Model name:          AMD Ryzen 5 2400G with Radeon Vega Graphics
Stepping:            0
CPU MHz:             3630.361
CPU max MHz:         3600.0000
CPU min MHz:         1600.0000
BogoMIPS:            7186.58
Virtualization:      AMD-V
L1d cache:           32K
L1i cache:           64K
L2 cache:            512K
L3 cache:            4096K
NUMA node0 CPU(s):   0-7
Flags:               fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm constant_tsc rep_good nopl nonstop_tsc cpuid extd_apicid aperfmperf pni pclmulqdq monitor ssse3 fma cx16 sse4_1 sse4_2 movbe popcnt aes xsave avx f16c rdrand lahf_lm cmp_legacy svm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw skinit wdt tce topoext perfctr_core perfctr_nb bpext perfctr_llc mwaitx hw_pstate sme ssbd sev ibpb vmmcall fsgsbase bmi1 avx2 smep bmi2 rdseed adx smap clflushopt sha_ni xsaveopt xsavec xgetbv1 xsaves clzero irperf xsaveerptr arat npt lbrv svm_lock nrip_save tsc_scale vmcb_clean flushbyasid decodeassists pausefilter pfthreshold avic v_vmsave_vmload vgif overflow_recov succor smca

Comment 1 Jorge Martínez López 2018-12-18 11:59:47 UTC
Another one, this is after locking the screen and waking it up:

WARNING: CPU: 5 PID: 2144 at drivers/gpu/drm/amd/amdgpu/../display/dc/dc_helper.c:254 generic_reg_wait+0xe7/0x160 [amdgpu]
Modules linked in: rfcomm fuse ccm xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc devlink nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ip6table_nat nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat_ipv4 nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep lm92 sunrpc vfat fat arc4 edac_mce_amd eeepc_wmi asus_wmi iwlmvm sparse_keymap wmi_bmof mxm_wmi kvm_amd kvm mac80211 snd_hda_codec_realtek irqbypass snd_hda_codec_generic crct10dif_pclmul crc32_pclmul snd_hda_codec_hdmi ghash_clmulni_intel snd_hda_intel snd_usb_audio uvcvideo snd_hda_codec videobuf2_vmalloc videobuf2_memops
 videobuf2_v4l2 snd_usbmidi_lib snd_hda_core snd_rawmidi videobuf2_common snd_hwdep iwlwifi btusb videodev snd_seq btrtl joydev snd_seq_device btbcm btintel snd_pcm bluetooth media cfg80211 k10temp i2c_piix4 snd_timer ecdh_generic snd rfkill soundcore video gpio_amdpt wmi gpio_generic pcc_cpufreq acpi_cpufreq btrfs libcrc32c xor zstd_decompress zstd_compress xxhash amdgpu hid_logitech_hidpp chash gpu_sched drm_kms_helper ttm raid6_pq crc32c_intel drm igb hid_logitech_dj dca i2c_algo_bit pinctrl_amd i2c_dev
CPU: 5 PID: 2144 Comm: gnome-shell Tainted: G        W         4.19.9-300.fc29.x86_64 #1
Hardware name: System manufacturer System Product Name/ROG STRIX X370-F GAMING, BIOS 4024 09/07/2018
RIP: 0010:generic_reg_wait+0xe7/0x160 [amdgpu]
Code: 44 24 58 8b 54 24 48 89 de 44 89 4c 24 08 48 8b 4c 24 50 48 c7 c7 80 4e 69 c0 e8 f4 b4 d9 ff 83 7d 18 01 44 8b 4c 24 08 74 02 <0f> 0b 48 83 c4 10 44 89 c8 5b 5d 41 5c 41 5d 41 5e 41 5f c3 41 0f
RSP: 0018:ffffa130896ab9a8 EFLAGS: 00010297
RAX: 0000000000000000 RBX: 0000000000000001 RCX: 0000000000000000
RDX: 0000000000000000 RSI: ffff8e8d4f956868 RDI: ffff8e8d4f956868
RBP: ffff8e8d45575380 R08: 0000000000000070 R09: 0000000000000001
R10: 0000000000000000 R11: 0000000000000001 R12: 000000000000000b
R13: 000000000000504d R14: 0000000000000100 R15: 0000000000000001
FS:  00007f82e0128d00(0000) GS:ffff8e8d4f940000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000e526f458b20 CR3: 000000037c5dc000 CR4: 00000000003406e0

Comment 2 Michel Dänzer 2019-09-05 15:58:48 UTC
This is a kernel issue, reassigning.

Comment 3 Ben Cotton 2019-10-31 18:52:21 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-11-27 23:22:28 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.